#version 400 

in vec3 vertex;    
out vec2 fragTexCoord;

void main( void )
{  
    fragTexCoord = 0.5 * vertex.xy + 0.5;  // Map [-1..1] NDC to [0..1] tex coords
	gl_Position  = vec4( vertex, 1.0f );   // Pass NDC coords to rasterizer
}